Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Update go-k8s-portforward to latest version to provide kubectl auth plugins for GKE, AWS, to support managed clusters. #1284

Merged
merged 1 commit into from Aug 13, 2018

Conversation

@justinbarrick
Copy link
Collaborator

justinbarrick commented Aug 12, 2018

No description provided.

…lugins for GKE, AWS, to support managed clusters.
Copy link
Member

squaremo left a comment

What a difference an import _ makes :-)

@squaremo squaremo merged commit 9f5512a into fluxcd:master Aug 13, 2018
@chy168

This comment has been minimized.

Copy link

chy168 commented on 1033aca Aug 18, 2018

Hi @justinbarrick ,

just jump into here due to fluxctl (1.5.0) error

Error: No Auth Provider found for name "gcp"

found this issue has been fixed in this commit (I built and tested in master branch).
Thank you for the effort!

Would you mind release a minor hot fix for fluxctl to prevent other user encounter this problem?

@alethenorio

This comment has been minimized.

Copy link

alethenorio commented Sep 17, 2018

It seems this issue is fixed for 1.6.0 however when I run 1.6.0 it towards my GKE cluster I keep getting the error Error: No Auth Provider found for name "gcp"

Is there anything specific one needs to do to get it to work?

@squaremo

This comment has been minimized.

Copy link
Member

squaremo commented Sep 17, 2018

@ByteFlinger I think that missing piece was added in #1334, which will be included in 1.6.1, released shortly (probably this week).

@alethenorio

This comment has been minimized.

Copy link

alethenorio commented Sep 17, 2018

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
4 participants
You can’t perform that action at this time.